package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.DischargeEnergyStockMonth;
import com.nantian.cloud.jljc.vo.dischargeEnergy.DischargeEnergyStockMonthVo;
import com.nantian.cloud.jljc.vo.dischargeEnergy.DischargeEnergyTotalVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface DischargeEnergyStockMonthMapper extends BaseMapper<DischargeEnergyStockMonth> {

    IPage<DischargeEnergyStockMonth> getPageData(Page page,@Param("query") DischargeEnergyStockMonth dischargeEnergyStockMonth, DataScope dataScope);

    IPage<DischargeEnergyStockMonth> getStockProductIndex(Page page, @Param("query") DischargeEnergyStockMonth dischargeEnergyStockMonth, DataScope dataScope);

    List<DischargeEnergyTotalVo> getTotal(@Param("query") DischargeEnergyStockMonth stockMonth, @Param("deptId") String deptId);

    List<DischargeEnergyTotalVo> getTotalProv(@Param("query") DischargeEnergyStockMonth stockMonth, @Param("deptId") String deptId);

    List<Map<String, String>> getChanges(@Param("query") DischargeEnergyStockMonth dischargeEnergyStockMonth);

    DischargeEnergyStockMonth getItemChange(@Param("query") DischargeEnergyStockMonth dischargeEnergyStockMonth);

    List<Map<String, String>> getSummaryTable1(@Param("year") String year, @Param("quarter") String quarter);
    List<Map<String, String>> getSummaryTableSum(@Param("year") String year,@Param("quarter")  String quarter);


    List<Map<String, String>> getSummaryTableData(@Param("year") String year, @Param("quarter") String quarter, @Param("s") String s);
    List<Map<String, String>> getSummaryTableDataSum(@Param("year") String year, @Param("quarter") String quarter, @Param("s") String s);

    List<Map<String, String>> getSummaryTableData2(@Param("year")String year,@Param("quarter") String quarter);
}
